(module
  (memory $0 17)
  (data (i32.const 4) "\10\00\10\00")
  (type $FUNCSIG$v (func))
  (type $FUNCSIG$vi (func (param i32)))
  (import "env" "abort" (func $abort))
  (import "env" "exit" (func $exit (param i32)))
  (export "memory" (memory $0))
  (export "nge" (func $nge))
  (export "ngt" (func $ngt))
  (export "nle" (func $nle))
  (export "nlt" (func $nlt))
  (export "neq" (func $neq))
  (export "nne" (func $nne))
  (export "ngeu" (func $ngeu))
  (export "ngtu" (func $ngtu))
  (export "nleu" (func $nleu))
  (export "nltu" (func $nltu))
  (export "main" (func $main))
  (table 0 anyfunc)
  
  (func $nge (param $0 i32) (param $1 i32) (result i32)
    (select
      (i32.const -1)
      (i32.const 0)
      (i32.ge_s
        (get_local $0)
        (get_local $1)
      )
    )
  )
  (func $ngt (param $0 i32) (param $1 i32) (result i32)
    (select
      (i32.const -1)
      (i32.const 0)
      (i32.gt_s
        (get_local $0)
        (get_local $1)
      )
    )
  )
  (func $nle (param $0 i32) (param $1 i32) (result i32)
    (select
      (i32.const -1)
      (i32.const 0)
      (i32.le_s
        (get_local $0)
        (get_local $1)
      )
    )
  )
  (func $nlt (param $0 i32) (param $1 i32) (result i32)
    (select
      (i32.const -1)
      (i32.const 0)
      (i32.lt_s
        (get_local $0)
        (get_local $1)
      )
    )
  )
  (func $neq (param $0 i32) (param $1 i32) (result i32)
    (select
      (i32.const -1)
      (i32.const 0)
      (i32.eq
        (get_local $0)
        (get_local $1)
      )
    )
  )
  (func $nne (param $0 i32) (param $1 i32) (result i32)
    (select
      (i32.const -1)
      (i32.const 0)
      (i32.ne
        (get_local $0)
        (get_local $1)
      )
    )
  )
  (func $ngeu (param $0 i32) (param $1 i32) (result i32)
    (select
      (i32.const -1)
      (i32.const 0)
      (i32.ge_u
        (get_local $0)
        (get_local $1)
      )
    )
  )
  (func $ngtu (param $0 i32) (param $1 i32) (result i32)
    (select
      (i32.const -1)
      (i32.const 0)
      (i32.gt_u
        (get_local $0)
        (get_local $1)
      )
    )
  )
  (func $nleu (param $0 i32) (param $1 i32) (result i32)
    (select
      (i32.const -1)
      (i32.const 0)
      (i32.le_u
        (get_local $0)
        (get_local $1)
      )
    )
  )
  (func $nltu (param $0 i32) (param $1 i32) (result i32)
    (select
      (i32.const -1)
      (i32.const 0)
      (i32.lt_u
        (get_local $0)
        (get_local $1)
      )
    )
  )
  (func $main (result i32)
    (block $label$0
      (br_if $label$0
        (call $nge
          (i32.const -2147483648)
          (i32.const 2147483647)
        )
      )
      (br_if $label$0
        (i32.ne
          (call $nge
            (i32.const 2147483647)
            (i32.const -2147483648)
          )
          (i32.const -1)
        )
      )
      (br_if $label$0
        (call $ngt
          (i32.const -2147483648)
          (i32.const 2147483647)
        )
      )
      (br_if $label$0
        (i32.ne
          (call $ngt
            (i32.const 2147483647)
            (i32.const -2147483648)
          )
          (i32.const -1)
        )
      )
      (br_if $label$0
        (i32.ne
          (call $nle
            (i32.const -2147483648)
            (i32.const 2147483647)
          )
          (i32.const -1)
        )
      )
      (br_if $label$0
        (call $nle
          (i32.const 2147483647)
          (i32.const -2147483648)
        )
      )
      (br_if $label$0
        (i32.ne
          (call $nlt
            (i32.const -2147483648)
            (i32.const 2147483647)
          )
          (i32.const -1)
        )
      )
      (br_if $label$0
        (call $nlt
          (i32.const 2147483647)
          (i32.const -2147483648)
        )
      )
      (br_if $label$0
        (call $neq
          (i32.const -2147483648)
          (i32.const 2147483647)
        )
      )
      (br_if $label$0
        (call $neq
          (i32.const 2147483647)
          (i32.const -2147483648)
        )
      )
      (br_if $label$0
        (i32.ne
          (call $nne
            (i32.const -2147483648)
            (i32.const 2147483647)
          )
          (i32.const -1)
        )
      )
      (br_if $label$0
        (i32.ne
          (call $nne
            (i32.const 2147483647)
            (i32.const -2147483648)
          )
          (i32.const -1)
        )
      )
      (br_if $label$0
        (call $ngeu
          (i32.const 0)
          (i32.const -1)
        )
      )
      (br_if $label$0
        (i32.ne
          (call $ngeu
            (i32.const -1)
            (i32.const 0)
          )
          (i32.const -1)
        )
      )
      (br_if $label$0
        (call $ngtu
          (i32.const 0)
          (i32.const -1)
        )
      )
      (br_if $label$0
        (i32.ne
          (call $ngtu
            (i32.const -1)
            (i32.const 0)
          )
          (i32.const -1)
        )
      )
      (br_if $label$0
        (i32.ne
          (call $nleu
            (i32.const 0)
            (i32.const -1)
          )
          (i32.const -1)
        )
      )
      (br_if $label$0
        (call $nleu
          (i32.const -1)
          (i32.const 0)
        )
      )
      (br_if $label$0
        (i32.ne
          (call $nltu
            (i32.const 0)
            (i32.const -1)
          )
          (i32.const -1)
        )
      )
      (br_if $label$0
        (call $nltu
          (i32.const -1)
          (i32.const 0)
        )
      )
      (call $exit
        (i32.const 0)
      )
      (unreachable)
    )
    (call $abort)
    (unreachable)
  )
)
